/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dataPool.db.impl;

import net.northking.cctp.common.http.QueryByPage;
import net.northking.cctp.dataPool.db.dao.DataSetsDao;
import net.northking.cctp.dataPool.db.service.DataSetsService;
import net.northking.cctp.dataPool.db.entity.DataSets;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.saas.db.TenantEntityService;

import net.northking.cctp.dataPool.dto.dataSets.DataSetsDetailDto;
import net.northking.cctp.dataPool.dto.dataSets.DataSetsQueryDto;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 数据集
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-10-24 16:58:39  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "DataSetsServiceImpl")
public class DataSetsServiceImpl extends TenantEntityService<DataSets> implements DataSetsService
{

  private final DataSetsDao dataSetsDao;

  public DataSetsServiceImpl(DataSetsDao dataSetsDao) {this.dataSetsDao = dataSetsDao;}

  public BasicDao<DataSets> getDao() {return dataSetsDao;}

  public DataSets createEntity() { return new DataSets();}


// ----      The End by Generator     ----//


  @Override
  public List<DataSetsDetailDto> queryDataSets(QueryByPage<DataSetsQueryDto> query) {
    return dataSetsDao.queryDataSets(query);
  }

  @Override
  public List<DataSets> queryByIds(List<String> setIds) {
    return dataSetsDao.queryByIds(setIds);
  }

  @Override
  public Integer deleteByIds(List<String> setIds) {
    return dataSetsDao.deleteByIds(setIds);
  }
}

